Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.assets
Class AssetPathConstructorImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.assets.AssetPathConstructorImpl

All Implemented Interfaces:
  AssetPathConstructor

    public class AssetPathConstructorImpl

extends java.lang.Object
implements AssetPathConstructor

Constructor Summary
`AssetPathConstructorImpl(Request request, BaseURLSource baseURLSource, java.lang.String applicationVersion, java.lang.String applicationFolder, boolean fullyQualified, java.lang.String assetPathPrefix)`

Method Summary
`java.lang.String` | `constructAssetPath(java.lang.String virtualFolder, java.lang.String path)` Constructs an asset URL path from the virtual folder and path (within the virtual folder).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssetPathConstructorImpl

    public AssetPathConstructorImpl(Request request,
                                    BaseURLSource baseURLSource,
                                    @Symbol(value="tapestry.application-version")
                                    java.lang.String applicationVersion,
                                    @Symbol(value="tapestry.application-folder")
                                    java.lang.String applicationFolder,
                                    @Symbol(value="tapestry.asset-url-fully-qualified")
                                    boolean fullyQualified,
                                    @Symbol(value="tapestry.asset-path-prefix")
                                    java.lang.String assetPathPrefix)

Method Detail

### constructAssetPath

    public java.lang.String constructAssetPath(java.lang.String virtualFolder,
                                               java.lang.String path)

  Description copied from interface: `AssetPathConstructor`
  Constructs an asset URL path from the virtual folder and path (within the virtual folder).

  Specified by:
    `constructAssetPath` in interface `AssetPathConstructor`
  Parameters:
    `virtualFolder` - corresponds to a `AssetRequestHandler` contributed to the AssetDispatcher service
    `path` - within the virtual folder (should not start with a slash)
  Returns:
    path portion of asset URL, including the context path, the /assets/ virtual folder, the application version number, the virtual folder, and the path extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.